Subject: [nfsv4] FedFS future work

From: Chuck Lever <[email-masked]>
Date: Mon, 3 Jun 2013 15:53:56 -0400

I promised to kindle a conversation here about the FedFS presentation on the agenda for IETF 87.  There are two outstanding issues which I will deal with in reply to older threads.  Here I want to introduce some futures topics to consider.

  o  Multi-domain authentication (in progress)

  o  SMB support
     -  NSDB schema updates (in progress)
     -  Can (Samba) DFS and FedFS junctions co-exist?
     -  What would a common administrative interface look like,
        and how would our ADMIN protocol enable it?

  o  Pre-populating /nfs4 without the AFS "ls -l /afs" problem

  o  Smarter use of LDAP
     -  Support for SASL/GSS-API for NSDB access
     -  Use an LDAP search instead of namingContext updates
        to find NCEs
     -  Using LDAP referrals and other replication mechanisms

  o  Compromised NSDBs
     -  Integrating certificate revocation support
     -  ADMIN support for fencing NSDBs

  o  NSDB discovery for admin tools

  o  Ensuring servers hand out reachable locations
     -  FSN may have an exhaustive list of locations, but not all
        locations may be reachable by every client
     -  IPv6 link-local or other unroutable addresses
     -  DMZ considerations
     -  How to represent a multi-homed server with FSLs

  o  New ADMIN operations
     -  Support for listing all NSDBs known to a fileserver
     -  Support for removing NSDB connection parameters
     -  Fleshing out FEDFS_CREATE_REPLICATION and friends

Given how few comments Andy has received on the multi-domain effort, the immediate question is how much appetite do folks have for embarking on a next-generation NSDB and ADMIN protocol?

-- 
Chuck Lever
chuck[dot]lever[at]oracle[dot]com